Package org.apache.synapse.transport.nhttp

# Class NHttpConfiguration

java.lang.Object
org.apache.synapse.transport.nhttp.NHttpConfiguration

public final class NHttpConfiguration extends Object
Store and manage properties that tune the nhttp transport

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BLOCK_SERVICE_LIST`
  Comma separated list of blocked uris
  `static final String`
  `BLOCK_SERVICE_LIST_DEFAULT`
  Default value for BLOCK_SERVICE_LIST
  `static final int`
  `DEFAULT_LISTENER_SHUTDOWN_WAIT_TIME`
  `static final int`
  `MAX_ACTIVE_CON`
  `static final String`
  `MESSAGE_SIZE_VALIDATION`
  `static final String`
  `TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME`
  `static final String`
  `VALID_MAX_MESSAGE_SIZE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPreserveHeader(String header)`
  `boolean`
  `getBooleanValue(String name, boolean def)`
  Get properties that tune nhttp transport.
  `int`
  `getBufferSize()`
  `int`
  `getClientCoreThreads()`
  `int`
  `getClientIOWorkers()`
  `int`
  `getClientKeepalive()`
  `int`
  `getClientMaxThreads()`
  `int`
  `getClientQueueLen()`
  `int`
  `getErrorHandlerCoreThreads()`
  `int`
  `getErrorHandlerKeepAlive()`
  `int`
  `getErrorHandlerQueuelen()`
  `int`
  `getErrorHandlerTMaxThreads()`
  `static NHttpConfiguration`
  `getInstance()`
  `int`
  `getListenerShutdownWaitTime()`
  `int`
  `getMaxActiveConnections()`
  `int`
  `getMaxMessageSize()`
  `boolean`
  `getMessageSizeValidationEnabled()`
  `String`
  `getNhttpDefaultServiceName()`
  Get the default synapse service name
  `int`
  `getProperty(String name, int def)`
  Get properties that tune nhttp transport.
  `String`
  `getRESTDispatchService()`
  `String`
  `getRestUriApiRegex()`
  `String`
  `getRestUriProxyRegex()`
  `int`
  `getServerCoreThreads()`
  `int`
  `getServerIOWorkers()`
  `int`
  `getServerKeepalive()`
  `int`
  `getServerMaxThreads()`
  `int`
  `getServerQueueLen()`
  `String`
  `getStringValue(String name, String def)`
  Get properties that tune nhttp transport.
  `boolean`
  `isCountConnections()`
  `boolean`
  `isErrorHandlerPoolEnabled()`
  `boolean`
  `isHttpMethodDisabled(String method)`
  `boolean`
  `isKeepAliveDisabled()`
  `boolean`
  `isLogRotatable()`
  `boolean`
  `isPreserveHttpHeader(String httpHeader)`
  Check preserving status of the http header field
  `boolean`
  `isReverseProxyMode()`
  Check for reverse proxy mode
  `String`
  `isServiceListBlocked()`
  `void`
  `removePreserveHeader(String header)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_ACTIVE_CON

    public static final int MAX_ACTIVE_CON
    See Also:
      - Constant Field Values

  - ### TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME

    public static final String TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME
    See Also:
      - Constant Field Values

  - ### DEFAULT_LISTENER_SHUTDOWN_WAIT_TIME

    public static final int DEFAULT_LISTENER_SHUTDOWN_WAIT_TIME
    See Also:
      - Constant Field Values

  - ### MESSAGE_SIZE_VALIDATION

    public static final String MESSAGE_SIZE_VALIDATION
    See Also:
      - Constant Field Values

  - ### VALID_MAX_MESSAGE_SIZE

    public static final String VALID_MAX_MESSAGE_SIZE
    See Also:
      - Constant Field Values

  - ### BLOCK_SERVICE_LIST

    public static final String BLOCK_SERVICE_LIST
    Comma separated list of blocked uris
    See Also:
      - Constant Field Values

  - ### BLOCK_SERVICE_LIST_DEFAULT

    public static final String BLOCK_SERVICE_LIST_DEFAULT
    Default value for BLOCK_SERVICE_LIST
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static NHttpConfiguration getInstance()

  - ### getServerCoreThreads

    public int getServerCoreThreads()

  - ### addPreserveHeader

    public void addPreserveHeader(String header)

  - ### removePreserveHeader

    public void removePreserveHeader(String header)

  - ### getServerMaxThreads

    public int getServerMaxThreads()

  - ### getServerKeepalive

    public int getServerKeepalive()

  - ### getServerQueueLen

    public int getServerQueueLen()

  - ### getServerIOWorkers

    public int getServerIOWorkers()

  - ### getClientCoreThreads

    public int getClientCoreThreads()

  - ### getClientMaxThreads

    public int getClientMaxThreads()

  - ### getClientKeepalive

    public int getClientKeepalive()

  - ### getClientQueueLen

    public int getClientQueueLen()

  - ### getClientIOWorkers

    public int getClientIOWorkers()

  - ### getMaxActiveConnections

    public int getMaxActiveConnections()

  - ### getErrorHandlerCoreThreads

    public int getErrorHandlerCoreThreads()

  - ### getErrorHandlerTMaxThreads

    public int getErrorHandlerTMaxThreads()

  - ### getErrorHandlerKeepAlive

    public int getErrorHandlerKeepAlive()

  - ### getErrorHandlerQueuelen

    public int getErrorHandlerQueuelen()

  - ### isErrorHandlerPoolEnabled

    public boolean isErrorHandlerPoolEnabled()

  - ### getBufferSize

    public int getBufferSize()

  - ### isLogRotatable

    public boolean isLogRotatable()

  - ### isKeepAliveDisabled

    public boolean isKeepAliveDisabled()

  - ### isCountConnections

    public boolean isCountConnections()

  - ### isServiceListBlocked

    public String isServiceListBlocked()

  - ### getRESTDispatchService

    public String getRESTDispatchService()

  - ### getRestUriApiRegex

    public String getRestUriApiRegex()

  - ### getRestUriProxyRegex

    public String getRestUriProxyRegex()

  - ### getListenerShutdownWaitTime

    public int getListenerShutdownWaitTime()

  - ### getMessageSizeValidationEnabled

    public boolean getMessageSizeValidationEnabled()

  - ### getMaxMessageSize

    public int getMaxMessageSize()

  - ### isPreserveHttpHeader

    public boolean isPreserveHttpHeader(String httpHeader)
    Check preserving status of the http header field
    Parameters:
      `httpHeader` - http header name
    Returns:
      return true if preserve else false

  - ### getProperty

    public int getProperty(String name, int def)
    Get properties that tune nhttp transport. Preference to system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### getBooleanValue

    public boolean getBooleanValue(String name, boolean def)
    Get properties that tune nhttp transport. Preference to system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### getStringValue

    public String getStringValue(String name, String def)
    Get properties that tune nhttp transport. Preference to system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### isHttpMethodDisabled

    public boolean isHttpMethodDisabled(String method)

  - ### isReverseProxyMode

    public boolean isReverseProxyMode()
    Check for reverse proxy mode
    Returns:
      whether reverse proxy mode is enabled

  - ### getNhttpDefaultServiceName

    public String getNhttpDefaultServiceName()
    Get the default synapse service name
    Returns:
      default synapse service name